org.bouncycastle.asn1

## Class DERUnknownTag

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.DERUnknownTag

All Implemented Interfaces:
  DEREncodable, DERTags

    public class DERUnknownTag
    extends DERObject

We insert one of these when we find a tag we don't recognise.

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERUnknownTag(boolean isConstructed, int tag, byte[] data)`
`DERUnknownTag(int tag, byte[] data)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`byte[]` `getData()`
`int` `getTag()`
`int` `hashCode()`
`boolean` `isConstructed()`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DERUnknownTag

    public DERUnknownTag(int tag,
                 byte[] data)

Parameters:
  `tag` - the tag value.
  `data` - the contents octets.

#### DERUnknownTag

    public DERUnknownTag(boolean isConstructed,
                 int tag,
                 byte[] data)

### Method Detail

#### isConstructed

    public boolean isConstructed()

#### getTag

    public int getTag()

#### getData

    public byte[] getData()

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in class `DERObject`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `DERObject`